Package: org.codehaus.groovy.ant

## [Java] Class CompileTaskSupport

- org.codehaus.groovy.ant.CompileTaskSupport

-     public abstract class CompileTaskSupport
      extends MatchingTask

  Support for compilation related tasks.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Path` | `createClasspath()`
    `` | `public CompilerConfiguration` | `createConfiguration()`
    `` | `public Path` | `createSrc()`
    `` | `public void` | `execute()`
    `` | `public Path` | `getClasspath()`
    `` | `public boolean` | `getFailonerror()`
    `` | `public Path` | `getSrcdir()`
    `` | `public void` | `setClasspath(Path path)`
    `` | `public void` | `setClasspathRef(Reference r)`
    `` | `public void` | `setDestdir(File dir)`
    `` | `public void` | `setFailonerror(boolean fail)`
    `` | `public void` | `setSrcdir(Path dir)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MatchingTask` | `add, addType, setCaseSensitive, addDate, setIncludes, setExcludes, setFollowSymlinks, setProject, addAnd, getSelectors, addSelector, hasSelectors, createExclude, setDefaultexcludes, createInclude, setIncludesfile, appendSelector, createPatternSet, setExcludesfile, addNot, createExcludesFile, createIncludesFile, selectorCount, selectorElements, addOr, addSize, addDifferent, addPresent, addNone, addCustom, addContains, addContainsRegexp, addFilename, XsetIgnore, addDepend, addModified, addMajority, addDepth, XsetItems, log, log, log, log, init, execute, reconfigure, bindToOwner, perform, getTaskName, setTaskName, getTaskType, setTaskType, getOwningTarget, setOwningTarget, maybeConfigure, getRuntimeConfigurableWrapper, setRuntimeConfigurableWrapper, clone, getLocation, getDescription, getProject, setLocation, setDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public Path createClasspath()

    - #### public CompilerConfiguration createConfiguration()

    - #### public Path createSrc()

    - #### @Override
      public void execute()

    - #### public Path getClasspath()

    - #### public boolean getFailonerror()

    - #### public Path getSrcdir()

    - #### public void setClasspath(Path path)

    - #### public void setClasspathRef(Reference r)

    - #### public void setDestdir(File dir)

    - #### public void setFailonerror(boolean fail)

    - #### public void setSrcdir(Path dir)